KILL(1)

BEZEICHNUNG
kill - ein Signal an einen Prozess senden

ÜBERSICHT
kill [Optionen] <Prozesskennung> […]

BESCHREIBUNG
Das Standardsignal für kill ist TERM. Mit -l oder -L können Sie die verfügbaren Signale auflisten. Im einzelnen sind HUP, INT, KILL, STOP, CONT und 0 nützliche Signale. Alternative Signale können auf drei Arten angegeben werden: -9, -SIGKILL oder -KILL. Negative Werte für die Prozesskennung können verwendet werden, um ganze Prozessgruppen auszuwählen; siehe die Spalte PGID der Ausgabe des Befehls ps. Eine Prozesskennung von -1 ist besonders. Sie bezeichnet alle Prozesse außer init und den kill-Prozess selbst.

OPTIONEN

<Prozesskennung> […]
    sendet das Signal an alle aufgelisteten <Prozesskennungen>.

-<Signal>
-s <Signal>
--signal <Signal>
    gibt das zu sendende Signal an. Es kann als Name oder Nummer angegeben werden. Das Verhalten der Signale ist in der Handbuchseite zu signal(7) beschrieben.

-l, --list [Signal]
    listet Signalnamen auf. Diese Option kann ein Argument haben, welches die Signalnummer in einen Signalnamen umwandelt oder umgekehrt.

-L, --table
    listet Signalnamen in einer übersichtlichen Tabelle auf.

ANMERKUNGEN
In Ihrer Shell (dem Befehlszeileninterpreter) könnte bereits ein Kill-Befehl
    eingebaut sein. In diesem Fall müssen Sie den hier beschriebenen Befehl als /bin/kill aufrufen, um den Konflikt zu umgehen.

BEISPIELE

kill -9 -1
    tötet alle Prozesse, die getötet werden können.

kill -l 11
    übersetzt die Zahl 11 in einen Signalnamen.

kill -L
    listet die Auswahl der verfügbaren Signale in einer übersichtlichen Tabelle auf.

kill 123 543 2341 3453
    Sendet das Standardsignal SIGTERM an alle diese Prozesse.

SIEHE AUCH
kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7), skill(1)

STANDARDS
This command meets appropriate standards. The -L flag is Linux-specific.

AUTOR
Albert Cahalan (albert@users.sf.net) wrote kill in 1999 to replace a bsdutils one that was not standards compliant. The util-linux one might also work correctly.

FEHLER MELDEN
Please send bug reports to procps@freelists.org

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.